| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CreateCACGroupRequest Struct Reference
Call Admission Control

Create CAC Group request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | BusinessGroupName
| Associated Business Group Name. More...
xsd__string | BranchOfficeName
| Associated Branch Office Name. More...
xsd__string | CACGroupName
| CAC Group Name. More...
enum unsp__CACGroupType | CACGroupType
| CAC Group Type. More...
unsp__ArrayOfString | AddressArray
| One or more address strings. More...
struct unsp__DynamicCACRouterAddress * | DynamicCACRouterAddress
| Dynamic CAC Router Address. More...
struct unsp__DynamicCACRouterAddress * | GeoSeparatedDynamicCACRouterAddress
| Geo SeparatedD Dynamic CAC Router Address. More...

## Detailed Description

Create CAC Group request.

Used by unsp__CreateCACGroup()

## Member Data Documentation

## ◆ AddressArray

unsp__ArrayOfString unsp__CreateCACGroupRequest::AddressArray

One or more address strings.

The valid values for these strings are based on CACGroupType.

- For CACGroupType=SubNetType values like: 172.1.10.0/24
- For CACGroupType=IpAddrType, values like: 10.151.1.10
- For CACGroupType=DNAddrTyp e, values like: 15615550110 (a specific directory number) or 1561556* (a directory number prefix)
- For CACGroupType= ParentCACgroup, Parent CAC Group Name
- For CACGroupType= LocationDmain, Location Domain
  required: true
  default value[range]: NA

## ◆ BranchOfficeName

xsd__string unsp__CreateCACGroupRequest::BranchOfficeName

Associated Branch Office Name.

required: false

See also
  unsp__BOName

## ◆ BusinessGroupName

xsd__string unsp__CreateCACGroupRequest::BusinessGroupName

Associated Business Group Name.

See also
  unsp__BGName

## ◆ CACGroupName

xsd__string unsp__CreateCACGroupRequest::CACGroupName

CAC Group Name.

required: true

See also
  unsp__CGName

## ◆ CACGroupType

enum unsp__CACGroupType unsp__CreateCACGroupRequest::CACGroupType

CAC Group Type.

required: false
default value[range]: CACGroupIpAddrType

## ◆ DynamicCACRouterAddress

struct unsp__DynamicCACRouterAddress* unsp__CreateCACGroupRequest::DynamicCACRouterAddress

Dynamic CAC Router Address.

required: false

## ◆ GeoSeparatedDynamicCACRouterAddress

struct unsp__DynamicCACRouterAddress* unsp__CreateCACGroupRequest::GeoSeparatedDynamicCACRouterAddress

Geo SeparatedD Dynamic CAC Router Address.

required: false

## ◆ OperatorId

xsd__string unsp__CreateCACGroupRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h